# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.12")
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.12...4.1)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS Csound::csound64 Csound::csound64-static Csound::osc Csound::deprecated Csound::rtpulse Csound::rtpa Csound::pmidi Csound::ipmidi Csound::csound-bin Csound::csdebugger Csound::csbeats Csound::stdutil Csound::atsa Csound::csanalyze Csound::cvanal Csound::dnoise Csound::envext Csound::extractor Csound::het_export Csound::het_import Csound::hetro Csound::lpanal Csound::lpc_export Csound::lpc_import Csound::mixer-bin Csound::pvanal Csound::pvlook Csound::pv_export Csound::pv_import Csound::scale Csound::sndinfo Csound::srconv Csound::smf_conv Csound::src_conv Csound::sdif2ad Csound::scsort Csound::extract Csound::cs Csound::csb64enc Csound::makecsd Csound::scot)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr/local")

# Create imported target Csound::csound64
add_library(Csound::csound64 SHARED IMPORTED)

set_target_properties(Csound::csound64 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "SndFile::sndfile;SampleRate::samplerate"
)

# Create imported target Csound::csound64-static
add_library(Csound::csound64-static STATIC IMPORTED)

set_target_properties(Csound::csound64-static PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "SndFile::sndfile;SampleRate::samplerate;\$<LINK_ONLY:Threads::Threads>;/usr/local/lib/libcurl.so.26.36;\$<LINK_ONLY:Intl::Intl>;/usr/lib/libexecinfo.so.4.0"
)

# Create imported target Csound::osc
add_library(Csound::osc MODULE IMPORTED)

set_target_properties(Csound::osc PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::deprecated
add_library(Csound::deprecated MODULE IMPORTED)

set_target_properties(Csound::deprecated PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::rtpulse
add_library(Csound::rtpulse MODULE IMPORTED)

set_target_properties(Csound::rtpulse PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::rtpa
add_library(Csound::rtpa MODULE IMPORTED)

set_target_properties(Csound::rtpa PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::pmidi
add_library(Csound::pmidi MODULE IMPORTED)

set_target_properties(Csound::pmidi PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::ipmidi
add_library(Csound::ipmidi MODULE IMPORTED)

set_target_properties(Csound::ipmidi PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::csound-bin
add_executable(Csound::csound-bin IMPORTED)

# Create imported target Csound::csdebugger
add_executable(Csound::csdebugger IMPORTED)

# Create imported target Csound::csbeats
add_executable(Csound::csbeats IMPORTED)

# Create imported target Csound::stdutil
add_library(Csound::stdutil MODULE IMPORTED)

set_target_properties(Csound::stdutil PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_PLUGINS;HAVE_DIRENT_H;HAVE_UNISTD_H"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Csound::atsa
add_executable(Csound::atsa IMPORTED)

# Create imported target Csound::csanalyze
add_executable(Csound::csanalyze IMPORTED)

# Create imported target Csound::cvanal
add_executable(Csound::cvanal IMPORTED)

# Create imported target Csound::dnoise
add_executable(Csound::dnoise IMPORTED)

# Create imported target Csound::envext
add_executable(Csound::envext IMPORTED)

# Create imported target Csound::extractor
add_executable(Csound::extractor IMPORTED)

# Create imported target Csound::het_export
add_executable(Csound::het_export IMPORTED)

# Create imported target Csound::het_import
add_executable(Csound::het_import IMPORTED)

# Create imported target Csound::hetro
add_executable(Csound::hetro IMPORTED)

# Create imported target Csound::lpanal
add_executable(Csound::lpanal IMPORTED)

# Create imported target Csound::lpc_export
add_executable(Csound::lpc_export IMPORTED)

# Create imported target Csound::lpc_import
add_executable(Csound::lpc_import IMPORTED)

# Create imported target Csound::mixer-bin
add_executable(Csound::mixer-bin IMPORTED)

# Create imported target Csound::pvanal
add_executable(Csound::pvanal IMPORTED)

# Create imported target Csound::pvlook
add_executable(Csound::pvlook IMPORTED)

# Create imported target Csound::pv_export
add_executable(Csound::pv_export IMPORTED)

# Create imported target Csound::pv_import
add_executable(Csound::pv_import IMPORTED)

# Create imported target Csound::scale
add_executable(Csound::scale IMPORTED)

# Create imported target Csound::sndinfo
add_executable(Csound::sndinfo IMPORTED)

# Create imported target Csound::srconv
add_executable(Csound::srconv IMPORTED)

# Create imported target Csound::smf_conv
add_executable(Csound::smf_conv IMPORTED)

# Create imported target Csound::src_conv
add_executable(Csound::src_conv IMPORTED)

# Create imported target Csound::sdif2ad
add_executable(Csound::sdif2ad IMPORTED)

# Create imported target Csound::scsort
add_executable(Csound::scsort IMPORTED)

# Create imported target Csound::extract
add_executable(Csound::extract IMPORTED)

# Create imported target Csound::cs
add_executable(Csound::cs IMPORTED)

# Create imported target Csound::csb64enc
add_executable(Csound::csb64enc IMPORTED)

# Create imported target Csound::makecsd
add_executable(Csound::makecsd IMPORTED)

# Create imported target Csound::scot
add_executable(Csound::scot IMPORTED)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/CsoundConfig-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
